Page MenuHomePhabricator

[minor] Trim leading/trailing white spaces when searching for RC filters, Namespaces, Tags and Main menus
Closed, ResolvedPublic

Description

When entered search criteria for filters/namespace have leading or trailing white spaces, there will be no search suggestions.

Note: On the screenshot below, the cursor position is not visible, but when a user enters spaces along with search criteria, the cursor will indicate that white spaces are present. So, users do have some feedback and that makes the issue minor.

Details

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2017, 7:42 AM
Etonkovidova updated the task description. (Show Details)Jun 19 2017, 7:42 AM
Etonkovidova renamed this task from [minor] Trim leading/trailing white spaces when when searching for RC filters/namespaces to [minor] Trim leading/trailing white spaces when searching for RC filters/namespaces .Jun 19 2017, 8:02 AM

Change 368353 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Trim input text before evaluation

https://gerrit.wikimedia.org/r/368353

Mooeypoo claimed this task.Jul 28 2017, 7:29 AM
Mooeypoo added a subscriber: Mooeypoo.

@Catrope could this be Snack Box?

Nom nom.

Change 368353 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Trim input text before evaluation

https://gerrit.wikimedia.org/r/368353

Filters name with leading/trailing spaces will be found.

@jmatazzoni - there are still some cases when entering leading spaces will display

  • if a namespace title entered as [white space]:Talk - no matches will be found
  • :[white space][white space]Talk matches won't be found
  • Tags filters still display the issue (they were not mentioned in the ticket)

Do we need follow up ticket(s)?

QA Recommendation: Product should weigh in

jmatazzoni renamed this task from [minor] Trim leading/trailing white spaces when searching for RC filters/namespaces to [minor] Trim leading/trailing white spaces when searching for RC filters, Namespaces, Tags and Main menus.Jul 31 2017, 8:47 PM

In T168225#3483107, @Etonkovidova wrote:
there are still some cases when entering leading spaces will display

  • if a namespace title entered as [white space]:Talk - no matches will be found
  • :[white space][white space]Talk matches won't be found
  • Tags filters still display the issue (they were not mentioned in the ticket)

The leading and trailing spaces should be ignored in Tags and Namespaces, same as the Main menu. Changing the name of the ticket and bouncing this back to In Dev.

Hm, this was supposed to be fixed. I'll take another look.

Change 369557 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Trim results to allow searching for spaces after trigger

https://gerrit.wikimedia.org/r/369557

I couldn't reproduce #1 and #3 in that list of problems (whitepsace works for me, and tags work) but I did fix #2 (whitespace between the 'trigger' and the text)

@Etonkovidova if you still have issues with tags or with trailing spaces, can you show an exact example? I can't reproduce these bugs, they work for me consistently.

Change 369557 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Trim results to allow searching for spaces after trigger

https://gerrit.wikimedia.org/r/369557

Re-checked - all cases are working.